# Ipopt::SymMatrixSpace Class Reference

SymMatrixSpace base class, corresponding to the SymMatrix base class. More...

`#include <IpSymMatrix.hpp>`

Inheritance diagram for Ipopt::SymMatrixSpace:
[legend]

List of all members.

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const =0
| Pure virtual method for creating a new matrix of this specific type.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
Index | Dim () const
| Accessor method for the dimension of the matrices in this matrix space.
Constructors/Destructors
| SymMatrixSpace (Index dim)
| Constructor, given the dimension (identical to the number of rows and columns).
virtual | ~SymMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SymMatrixSpace ()
| default constructor
| SymMatrixSpace (const SymMatrixSpace &)
SymMatrixSpace & | operator= (const SymMatrixSpace &)
| Overloaded Equals Operator.

## Detailed Description

SymMatrixSpace base class, corresponding to the SymMatrix base class.

Definition at line 81 of file IpSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SymMatrixSpace::SymMatrixSpace | ( | Index | dim | ) | `[inline]`

Constructor, given the dimension (identical to the number of rows and columns).

Definition at line 89 of file IpSymMatrix.hpp.

virtual Ipopt::SymMatrixSpace::~SymMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 95 of file IpSymMatrix.hpp.

Ipopt::SymMatrixSpace::SymMatrixSpace | ( |  | ) | `[private]`

default constructor

Ipopt::SymMatrixSpace::SymMatrixSpace | ( | const SymMatrixSpace & |  | ) | `[private]`

## Member Function Documentation

virtual SymMatrix* Ipopt::SymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[pure virtual]`

Pure virtual method for creating a new matrix of this specific type.

Implemented in Ipopt::CompoundSymMatrixSpace, Ipopt::DenseSymMatrixSpace, Ipopt::DiagMatrixSpace, Ipopt::IdentityMatrixSpace, Ipopt::LowRankUpdateSymMatrixSpace, Ipopt::SumSymMatrixSpace, Ipopt::SymScaledMatrixSpace, and Ipopt::SymTMatrixSpace.

virtual Matrix* Ipopt::SymMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Reimplemented in Ipopt::SymScaledMatrixSpace.

Definition at line 105 of file IpSymMatrix.hpp.

Index Ipopt::SymMatrixSpace::Dim | ( |  | ) | const`[inline]`

Accessor method for the dimension of the matrices in this matrix space.

Definition at line 113 of file IpSymMatrix.hpp.

SymMatrixSpace& Ipopt::SymMatrixSpace::operator= | ( | const SymMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::MatrixSpace.

Reimplemented in Ipopt::CompoundSymMatrixSpace, Ipopt::DiagMatrixSpace, Ipopt::IdentityMatrixSpace, Ipopt::LowRankUpdateSymMatrixSpace, and Ipopt::SymScaledMatrixSpace.

The documentation for this class was generated from the following file:

- src/LinAlg/IpSymMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines